/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.core.impl;

import com.silverwrist.venice.core.SideBoxDescriptor;

class SideBoxDescriptorImpl implements SideBoxDescriptor
{
  /*--------------------------------------------------------------------------------
   * Attributes
   *--------------------------------------------------------------------------------
   */

  private SideBoxDescriptor parent;
  private int sequence;
  private String param;

  /*--------------------------------------------------------------------------------
   * Constructor
   *--------------------------------------------------------------------------------
   */

  SideBoxDescriptorImpl(SideBoxDescriptor parent, int sequence, String param)
  {
    this.parent = parent;
    this.sequence = sequence;
    this.param = param;

  } // end constructor

  /*--------------------------------------------------------------------------------
   * Implementations from interface SideBoxDescriptor
   *--------------------------------------------------------------------------------
   */

  public int getID()
  {
    return parent.getID();

  } // end getID

  public int getSequence()
  {
    return sequence;

  } // end getSequence

  public String getParameter()
  {
    return param;

  } // end getParameter

  public String getDescription()
  {
    return parent.getDescription();

  } // end getDescription

  public String getParamDescription()
  {
    return parent.getParamDescription();

  } // end getParamDescription

  public String getClassname()
  {
    return parent.getClassname();

  } // end getClassname

} // end class SideBoxDescriptorImpl
